<form
  [formGroup]="form"
  (ngSubmit)="onSubmit()"
>

  <div class="line">
    <input
      formControlName="name"
      placeholder="nome"
    />

    <lib-over-1-control-at-time-form-validation
      [ngFormControl]="form.controls['name']"
      [messages]="{
        required: 'não pode ficar em branco',
        minlength: 'deve ter no mínimo 4 caracteres'
      }"
      [nameTranslations]="{
        name: 'Nome'
      }"
    ></lib-over-1-control-at-time-form-validation>
  </div>

  <div class="line">
    <input
      formControlName="name2"
      placeholder="nome 2"
    />

    <lib-over-1-control-at-time-form-validation
      [ngFormControl]="form.controls['name2']"
      [messages]="{
        required: 'não pode ficar em branco'
      }"
      [nameTranslations]="{
        name2: 'Nome 2'
      }"
    ></lib-over-1-control-at-time-form-validation>
  </div>

  <div class="actions">
    <button type="submit">Salvar</button>
  </div>

</form>
